package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 * date: 2021-10-24
 **/
public  class WorkLinkBean {
        private int pageNum;
        private int pageSize;
        private int size;
        private int startRow;
        private int endRow;
        private int total;
        private int pages;
        private List<ListBean> list;
        private int prePage;
        private int nextPage;
        private boolean isFirstPage;
        private boolean isLastPage;
        private boolean hasPreviousPage;
        private boolean hasNextPage;
        private int navigatePages;
        private List<Integer> navigatepageNums;
        private int navigateFirstPage;
        private int navigateLastPage;
        private int firstPage;
        private int lastPage;

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getStartRow() {
            return startRow;
        }

        public void setStartRow(int startRow) {
            this.startRow = startRow;
        }

        public int getEndRow() {
            return endRow;
        }

        public void setEndRow(int endRow) {
            this.endRow = endRow;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public int getPrePage() {
            return prePage;
        }

        public void setPrePage(int prePage) {
            this.prePage = prePage;
        }

        public int getNextPage() {
            return nextPage;
        }

        public void setNextPage(int nextPage) {
            this.nextPage = nextPage;
        }

        public boolean isIsFirstPage() {
            return isFirstPage;
        }

        public void setIsFirstPage(boolean isFirstPage) {
            this.isFirstPage = isFirstPage;
        }

        public boolean isIsLastPage() {
            return isLastPage;
        }

        public void setIsLastPage(boolean isLastPage) {
            this.isLastPage = isLastPage;
        }

        public boolean isHasPreviousPage() {
            return hasPreviousPage;
        }

        public void setHasPreviousPage(boolean hasPreviousPage) {
            this.hasPreviousPage = hasPreviousPage;
        }

        public boolean isHasNextPage() {
            return hasNextPage;
        }

        public void setHasNextPage(boolean hasNextPage) {
            this.hasNextPage = hasNextPage;
        }

        public int getNavigatePages() {
            return navigatePages;
        }

        public void setNavigatePages(int navigatePages) {
            this.navigatePages = navigatePages;
        }

        public List<Integer> getNavigatepageNums() {
            return navigatepageNums;
        }

        public void setNavigatepageNums(List<Integer> navigatepageNums) {
            this.navigatepageNums = navigatepageNums;
        }

        public int getNavigateFirstPage() {
            return navigateFirstPage;
        }

        public void setNavigateFirstPage(int navigateFirstPage) {
            this.navigateFirstPage = navigateFirstPage;
        }

        public int getNavigateLastPage() {
            return navigateLastPage;
        }

        public void setNavigateLastPage(int navigateLastPage) {
            this.navigateLastPage = navigateLastPage;
        }

        public int getFirstPage() {
            return firstPage;
        }

        public void setFirstPage(int firstPage) {
            this.firstPage = firstPage;
        }

        public int getLastPage() {
            return lastPage;
        }

        public void setLastPage(int lastPage) {
            this.lastPage = lastPage;
        }

        public static class ListBean {
            private String id;
            private String planId;
            private String inspoCode;
            private String description;
            private Object remark;
            private Object inspoType;
            private int appType;
            private String principal;
            private String principalCode;
            private String principalName;
            private int status;
            private boolean stopWork;
            private String planStartDateTime;
            private String planEndDateTime;
            private String actualStartDateTime;
            private String actualEndDateTime;
            private Object weather;
            private Object temperature;
            private Object workorderId;
            private Object workorderCode;
            private Object workorderDesc;
            private String createby;
            private String createDateTime;
            private String orgId;
            private String siteId;
            private Object siteCode;
            private String siteDesc;
            private Object departDesc;
            private String adjustBeginTime;
            private String adjustEndTime;
            private String assetCode;
            private String assetDesc;
            private String planCode;
            private String planDesc;
            private String locationCode;
            private String locationName;
            private String locationId;
            private String inspoTime;

            private String billNum;
            private String billDescription;
            private String  projectCode;
            private String reportCode;

            public String getProjectCode() {
                return projectCode;
            }

            public void setProjectCode(String projectCode) {
                this.projectCode = projectCode;
            }

            public String getReportCode() {
                return reportCode;
            }

            public void setReportCode(String reportCode) {
                this.reportCode = reportCode;
            }

            public String getBillNum() {
                return billNum;
            }

            public void setBillNum(String billNum) {
                this.billNum = billNum;
            }

            public String getBillDescription() {
                return billDescription;
            }

            public void setBillDescription(String billDescription) {
                this.billDescription = billDescription;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getPlanId() {
                return planId;
            }

            public void setPlanId(String planId) {
                this.planId = planId;
            }

            public String getInspoCode() {
                return inspoCode;
            }

            public void setInspoCode(String inspoCode) {
                this.inspoCode = inspoCode;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public Object getRemark() {
                return remark;
            }

            public void setRemark(Object remark) {
                this.remark = remark;
            }

            public Object getInspoType() {
                return inspoType;
            }

            public void setInspoType(Object inspoType) {
                this.inspoType = inspoType;
            }

            public int getAppType() {
                return appType;
            }

            public void setAppType(int appType) {
                this.appType = appType;
            }

            public String getPrincipal() {
                return principal;
            }

            public void setPrincipal(String principal) {
                this.principal = principal;
            }

            public String getPrincipalCode() {
                return principalCode;
            }

            public void setPrincipalCode(String principalCode) {
                this.principalCode = principalCode;
            }

            public String getPrincipalName() {
                return principalName;
            }

            public void setPrincipalName(String principalName) {
                this.principalName = principalName;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public boolean isStopWork() {
                return stopWork;
            }

            public void setStopWork(boolean stopWork) {
                this.stopWork = stopWork;
            }

            public String getPlanStartDateTime() {
                return planStartDateTime;
            }

            public void setPlanStartDateTime(String planStartDateTime) {
                this.planStartDateTime = planStartDateTime;
            }

            public String getPlanEndDateTime() {
                return planEndDateTime;
            }

            public void setPlanEndDateTime(String planEndDateTime) {
                this.planEndDateTime = planEndDateTime;
            }

            public String getActualStartDateTime() {
                return actualStartDateTime;
            }

            public void setActualStartDateTime(String actualStartDateTime) {
                this.actualStartDateTime = actualStartDateTime;
            }

            public String getActualEndDateTime() {
                return actualEndDateTime;
            }

            public void setActualEndDateTime(String actualEndDateTime) {
                this.actualEndDateTime = actualEndDateTime;
            }

            public Object getWeather() {
                return weather;
            }

            public void setWeather(Object weather) {
                this.weather = weather;
            }

            public Object getTemperature() {
                return temperature;
            }

            public void setTemperature(Object temperature) {
                this.temperature = temperature;
            }

            public Object getWorkorderId() {
                return workorderId;
            }

            public void setWorkorderId(Object workorderId) {
                this.workorderId = workorderId;
            }

            public Object getWorkorderCode() {
                return workorderCode;
            }

            public void setWorkorderCode(Object workorderCode) {
                this.workorderCode = workorderCode;
            }

            public Object getWorkorderDesc() {
                return workorderDesc;
            }

            public void setWorkorderDesc(Object workorderDesc) {
                this.workorderDesc = workorderDesc;
            }

            public String getCreateby() {
                return createby;
            }

            public void setCreateby(String createby) {
                this.createby = createby;
            }

            public String getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(String createDateTime) {
                this.createDateTime = createDateTime;
            }

            public String getOrgId() {
                return orgId;
            }

            public void setOrgId(String orgId) {
                this.orgId = orgId;
            }

            public String getSiteId() {
                return siteId;
            }

            public void setSiteId(String siteId) {
                this.siteId = siteId;
            }

            public Object getSiteCode() {
                return siteCode;
            }

            public void setSiteCode(Object siteCode) {
                this.siteCode = siteCode;
            }

            public String getSiteDesc() {
                return siteDesc;
            }

            public void setSiteDesc(String siteDesc) {
                this.siteDesc = siteDesc;
            }

            public Object getDepartDesc() {
                return departDesc;
            }

            public void setDepartDesc(Object departDesc) {
                this.departDesc = departDesc;
            }

            public String getAdjustBeginTime() {
                return adjustBeginTime;
            }

            public void setAdjustBeginTime(String adjustBeginTime) {
                this.adjustBeginTime = adjustBeginTime;
            }

            public String getAdjustEndTime() {
                return adjustEndTime;
            }

            public void setAdjustEndTime(String adjustEndTime) {
                this.adjustEndTime = adjustEndTime;
            }

            public String getAssetCode() {
                return assetCode;
            }

            public void setAssetCode(String assetCode) {
                this.assetCode = assetCode;
            }

            public String getAssetDesc() {
                return assetDesc;
            }

            public void setAssetDesc(String assetDesc) {
                this.assetDesc = assetDesc;
            }

            public String getPlanCode() {
                return planCode;
            }

            public void setPlanCode(String planCode) {
                this.planCode = planCode;
            }

            public String getPlanDesc() {
                return planDesc;
            }

            public void setPlanDesc(String planDesc) {
                this.planDesc = planDesc;
            }

            public String getLocationCode() {
                return locationCode;
            }

            public void setLocationCode(String locationCode) {
                this.locationCode = locationCode;
            }

            public String getLocationName() {
                return locationName;
            }

            public void setLocationName(String locationName) {
                this.locationName = locationName;
            }

            public String getLocationId() {
                return locationId;
            }

            public void setLocationId(String locationId) {
                this.locationId = locationId;
            }

            public String getInspoTime() {
                return inspoTime;
            }

            public void setInspoTime(String inspoTime) {
                this.inspoTime = inspoTime;
            }
        }
}
